package com.ruoyi.approvalFlow.mapper;


import com.ruoyi.approvalFlow.domain.AuditPaths;

import java.util.List;

/**
 * 审批流配置主Mapper接口
 *
 * @author ruoyi
 * @date 2021-01-21
 */
public interface AuditPathsMapper {
    /**
     * 查询审批流配置主
     *
     * @param id 审批流配置主ID
     * @return 审批流配置主
     */
    public AuditPaths selectAuditPathsById(Long id);

    /**
     * 查询审批流配置主列表
     *
     * @param auditPaths 审批流配置主
     * @return 审批流配置主集合
     */
    public List<AuditPaths> selectAuditPathsList(AuditPaths auditPaths);

    /**
     * 新增审批流配置主
     *
     * @param auditPaths 审批流配置主
     * @return 结果
     */
    public int insertAuditPaths(AuditPaths auditPaths);

    /**
     * 修改审批流配置主
     *
     * @param auditPaths 审批流配置主
     * @return 结果
     */
    public int updateAuditPaths(AuditPaths auditPaths);

    /**
     * 删除审批流配置主
     *
     * @param id 审批流配置主ID
     * @return 结果
     */
    public int deleteAuditPathsById(Long id);

    /**
     * 批量删除审批流配置主
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteAuditPathsByIds(Long[] ids);
}
